;(function(){
var isAdAvailable = false;
var network = {};
network.name = "admob";
network.callback = {
	load:undefined,
	close:undefined
};

document.addEventListener("deviceready",
	function(){
		eventToFire.fireEvent("adNetwork_Inter", network);
	}, false
);

network.isReady = function(eventName){
	return (parseInt("1") || 0);
}

network.isInterReady = function(){
	return isAdAvailable;
}

network.launchInter = function(){	
	if(!this.isReady()){return false;}
	if(!this.isInterReady()){return false;}
	admob.interstitial.show();
	isAdAvailable = false;
	return true;
	
}

function closedInter(){
	if(typeof(network.callback.close) != 'undefined') network.callback.close();
	admob.interstitial.prepare();
}
//-----------------------------------------------------------------

document.addEventListener("admob.interstitial.events.LOAD",function(e){
	isAdAvailable = true;
	if(typeof(network.callback.load) != 'undefined') network.callback.load();
}.bind(this));

document.addEventListener("admob.interstitial.events.LOAD_FAIL",function(e){
	closedInter();
}.bind(this));

document.addEventListener("admob.interstitial.events.OPEN",function(e){
});

document.addEventListener("admob.interstitial.events.CLOSE",function(e){
	closedInter();
}.bind(this));

/*document.addEventListener("admob.interstitial.events.EXIT_APP",function(e){
	console.log("interstitial.events.EXIT_APP",e);
});*/

}());
