;(function(){
var isAdAvailable = false;
var isRewardedSucessfully = false;
var network = {};
network.name = "admob";
network.callback = {};
network.token = 0;
document.addEventListener("deviceready",
	function(){
		eventToFire.fireEvent("adNetwork", network);
	}, false
);

network.isReady = function(eventName){
	//isActive ? (from CSV "1")
	return (parseInt("1") || 0);
}

network.isEventReady = function(eventName){
	return isAdAvailable;
}

network.launchEvent = function(eventName, C2cbOnFail, C2cbOnVideoDidAppear, C2cbOnVideoDidDisappear, forceReload, fallBackOnOfferWall){
	this.callback = {"eventName" : eventName, "C2cbOnFail" : C2cbOnFail, "C2cbOnVideoDidAppear" : C2cbOnVideoDidAppear, "C2cbOnVideoDidDisappear" : C2cbOnVideoDidDisappear, "forceReload" : forceReload, "fallBackOnOfferWall" : fallBackOnOfferWall};
	
	if(!this.isReady()){return false;}
	if(!this.isEventReady()){return false;}
	network.token = 1;
	admob.rewardvideo.show();
	isAdAvailable = false;
	isRewardedSucessfully = false;
	return true;
	
}
//-----------------------------------------------------------------

function rewardedError(){
	cr_setSuspended(false);
	if(network.token == 1){
		if(typeof(network.callback.C2cbOnFail) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.callback.C2cbOnFail, [network.callback.eventName, "1"]);
		if(typeof(network.callback.C2cbOnVideoDidDisappear) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.callback.C2cbOnVideoDidDisappear, [network.callback.eventName, "1"]);
		eventToFire.fireEvent("rewarded_analytic",network.callback.eventName,false,"fail-error");
	}
	admob.rewardvideo.prepare();
	network.token = 0;
}

function rewardedSucess(){
	cr_setSuspended(false);
	admob.rewardvideo.prepare();
	if(network.token == 1){
		if(typeof(network.callback.C2cbOnVideoDidDisappear) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.callback.C2cbOnVideoDidDisappear, [network.callback.eventName, "1"]);
		eventToFire.fireEvent("rewarded_analytic",network.callback.eventName,true);
	}
	network.token = 0;
}

//-----------------------------------------------------------------

document.addEventListener("admob.rewardvideo.events.LOAD",function(e){
	isAdAvailable = true;
}.bind(this));

document.addEventListener("admob.rewardvideo.events.LOAD_FAIL",function(e){
	rewardedError();
}.bind(this));

document.addEventListener("admob.rewardvideo.events.OPEN",function(e){
	cr_setSuspended(true);
	if(typeof(network.callback.C2cbOnVideoDidAppear) != 'undefined' && typeof(c2_callFunction) == 'function') c2_callFunction(network.callback.C2cbOnVideoDidAppear, [network.callback.eventName, "1"]);
}.bind(network));

document.addEventListener("admob.rewardvideo.events.CLOSE",function(e){
	if(isRewardedSucessfully){
		rewardedSucess();
	}else{
		rewardedError();
	}
}.bind(this));

/*document.addEventListener("admob.rewardvideo.events.EXIT_APP",function(e){
	console.log("rewardvideo.events.EXIT_APP",e);
});*/

/*document.addEventListener("admob.rewardvideo.events.START",function(e){
	console.log("rewardvideo.events.START",e);
});*/

document.addEventListener("admob.rewardvideo.events.REWARD",function(e){
	isRewardedSucessfully = true;
}.bind(this));


}());
